Get list items
The titles on one of your lists, in list order.
GET https://cotlet.dev/api/v1/trakt/lists/{list_id}/items
read
Returns the items of one list in the order of the list, in pages. Each item has its type, title, year and Trakt ID.
Parameters
| Name | Type | Description |
|---|---|---|
| list_id string required | string | List ID or slug from list_lists. |
| page integer | integer | Page number, starting at 1. Default: 1. |
| limit integer | integer | Items per page. Default: 20. |
Request
curl https://cotlet.dev/api/v1/trakt/lists/list_8c41d2/items \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("trakt", "get_list_items", {"list_id":"list_8c41d2"}) const result = await cotlet.call('trakt', 'get_list_items', {"list_id":"list_8c41d2"}); cotlet call trakt get_list_items --data '{"list_id":"list_8c41d2"}' Example response
{
"items": [
{
"type": "show",
"trakt_id": 401992,
"title": "Slow Horses",
"year": 2022
},
{
"type": "movie",
"trakt_id": 548210,
"title": "Past Lives",
"year": 2023
}
],
"page": 1,
"total_pages": 1
}